Bug 1688925 - Need kde-settings-30 and fixed f30-backgrounds-kde with appropriate settings for F30, including desktop background
Summary: Need kde-settings-30 and fixed f30-backgrounds-kde with appropriate settings ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings   
(Show other bugs)
Version: 30
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: BetaBlocker, F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-03-14 18:02 UTC by Adam Williamson
Modified: 2019-03-19 19:38 UTC (History)
11 users (show)

Fixed In Version: kde-settings-30.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-03-19 19:38:50 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Williamson 2019-03-14 18:02:17 UTC
The f30-backgrounds package is now in Fedora 30, but we still have kde-settings-29 with settings for F29, including a dependency on f29-backgrounds. KDE in current Fedora 30 composes still uses the Fedora 29 desktop backgrounds, and this is a violation of the release criteria: "The default desktop background must be different from that of the last two stable releases" - https://fedoraproject.org/wiki/Basic_Release_Criteria#Desktop_background .

We need a new kde-settings, and any other packages that need changing (I recall there's a '29' written into a theme config somewhere that needs changing, I don't recall if that's in kde-settings or another package), with everything updated to F30. This should also go to Rawhide, I guess.

Comment 1 Fedora Update System 2019-03-14 20:14:02 UTC
kde-settings-30.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-479a4ea8be

Comment 2 Kevin Fenzi 2019-03-15 01:07:35 UTC
+1 blocker

Comment 3 Mohan Boddu 2019-03-15 02:09:55 UTC
+1 Blocker

Comment 4 Adam Williamson 2019-03-15 03:07:21 UTC
That's +3, setting accepted.

Comment 5 Fedora Update System 2019-03-16 20:17:43 UTC
kde-settings-30.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-479a4ea8be

Comment 6 Adam Williamson 2019-03-18 19:11:29 UTC
Well, I think kde-settings itself is fine and correct, but a key file from f30-backgrounds-kde was not updated:

https://bugzilla.redhat.com/show_bug.cgi?id=1684612#c21

I am editing this bug to cover that problem as well, and will submit an f30-backgrounds update to fix that part of things. I confirmed that with this kde-settings installed and the metadata.desktop file edited by hand, the default KDE desktop background is fixed.

Comment 7 Fedora Update System 2019-03-18 19:24:46 UTC
f30-backgrounds-30.0.0-2.fc30 kde-settings-30.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-479a4ea8be

Comment 8 Fedora Update System 2019-03-19 19:38:50 UTC
f30-backgrounds-30.0.0-2.fc30, kde-settings-30.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.